PluginProbe
Metricool – Social media and site statistics / 2.1.1
Metricool – Social media and site statistics v2.1.1
2.1.1 2.1.0 2.0.2 2.0.1 2.0.0 1.27 trunk
← All changes | app/Http/Endpoints/LogoutEndpoint.php +3 -1 2.0.2 → 2.1.1 View file →
@@ -38,9 +38,9 @@
38 38 * @inheritDoc
39 39 */
40 40 public function enabled(): bool
41 41 {
42 - return $this->adminAccessAllowed();
42 + return true;
43 43 }
44 44
45 45 /**
46 46 * @inheritDoc
@@ -55,8 +55,10 @@
55 55 }
56 56
57 57 /**
58 58 * Log the user out and redirect to the dashboard
59 + *
60 + * POST /wp-json/metricool/v1/logout
59 61 */
60 62 public function callback(\WP_REST_Request $request): \WP_REST_Response
61 63 {
62 64 $this->metricoolApi->logout();